// HeightField.cpp: implementation of the HeightField class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include <stdlib.h>
#include "HeightField.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HeightField::HeightField()
{
	m_terrainSize = TERRAINSIZE;
}

HeightField::~HeightField()
{

}

void HeightField::createTerrain()
{
	for (int i=0;i<m_terrainSize;i++){
		for (int j=0;j<m_terrainSize;j++){
			m_terrain[i][j]= ((float)rand()) / RAND_MAX * 5;
		}
	}

}

int HeightField::getSize()
{
	return m_terrainSize;
}

float HeightField::getMinHeight()
{
	float min=(float)1e30;
	for (int i=0;i<m_terrainSize;i++){
		for (int j=0;j<m_terrainSize;j++){
			if (m_terrain[i][j]<min) min=m_terrain[i][j];
		}
	}
	return min;
}

float HeightField::getMaxHeight()
{
	float max=(float)-1e30;
	for (int i=0;i<m_terrainSize;i++){
		for (int j=0;j<m_terrainSize;j++){
			if (m_terrain[i][j]>max) max=m_terrain[i][j];
		}
	}
	return max;
}
