// HeightField.h: interface for the HeightField class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HEIGHTFIELD_H__DB021E3C_21C1_460E_8FF1_4C073AC45BCE__INCLUDED_)
#define AFX_HEIGHTFIELD_H__DB021E3C_21C1_460E_8FF1_4C073AC45BCE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define TERRAINSIZE 65 //must be (2^n)+!

class HeightField  
{
public:
	float getMaxHeight();
	float getMinHeight();
	int getSize();
	HeightField();
	void createTerrain();
	virtual ~HeightField();


	float m_terrain[TERRAINSIZE][TERRAINSIZE];
	int m_terrainSize;
};

#endif // !defined(AFX_HEIGHTFIELD_H__DB021E3C_21C1_460E_8FF1_4C073AC45BCE__INCLUDED_)
